com.independentsoft.exchange

## Enum ContainmentMode

- java.lang.Object
- - java.lang.Enum<ContainmentMode>
  - - com.independentsoft.exchange.ContainmentMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContainmentMode>

      public enum ContainmentMode
      extends java.lang.Enum<ContainmentMode>

  The Enum ContainmentMode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXACT_PHRASE` The comparison is between an exact phrase in the string and the constant.
    `FULL_STRING` The comparison is between the full string and the constant.
    `NONE` None.
    `PREFIX_ON_WORDS` The comparison is between a prefix on individual words in the string and the constant.
    `PREFIXED` The comparison is between the string prefix and the constant.
    `SUBSTRING` The comparison is between a substring of the string and the constant.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContainmentMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContainmentMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL_STRING

          public static final ContainmentMode FULL_STRING

      The comparison is between the full string and the constant. The property value and the supplied constant are exactly the same.

    - #### PREFIXED

          public static final ContainmentMode PREFIXED

      The comparison is between the string prefix and the constant.

    - #### SUBSTRING

          public static final ContainmentMode SUBSTRING

      The comparison is between a substring of the string and the constant.

    - #### PREFIX_ON_WORDS

          public static final ContainmentMode PREFIX_ON_WORDS

      The comparison is between a prefix on individual words in the string and the constant.

    - #### EXACT_PHRASE

          public static final ContainmentMode EXACT_PHRASE

      The comparison is between an exact phrase in the string and the constant.

    - #### NONE

          public static final ContainmentMode NONE

      None.

  - ### Method Detail

    - #### values

          public static ContainmentMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContainmentMode c : ContainmentMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContainmentMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null